#
#  utex/maps/cmtt.rb  --  Character maps from Unicode to TeX tt
#

module UTeX

  MAPS[ :cmtt] = {
    0x27   => 0x0d, # '

    0xa1   => 0x0e, # ¡
    0xa8   => 0x7f, # ¨
    0xb8   => 0x18, # ¸
    0xbf   => 0x0f, # ¿
    0xc6   => 0x1d, # Æ
    0xd8   => 0x1f, # Ø
    0xdf   => 0x19, # ß
    0xe6   => 0x1a, # æ
    0xf8   => 0x1c, # ø

    0x0131 => 0x10, # ı
    0x0152 => 0x1e, # Œ
    0x0153 => 0x1b, # œ
    0x02c6 => 0x5e, # ˆ
    0x02c7 => 0x14, # ˇ
    0x02c9 => 0x16, # ˉ
    0x02ca => 0x13, # ˊ
    0x02cb => 0x12, # ˋ
    0x02d8 => 0x15, # ˘
    0x02da => 0x17, # ˚
    0x02dc => 0x7e, # ˜
    0x0393 => 0x00, # Γ
    0x0394 => 0x01, # Δ
    0x0398 => 0x02, # Θ
    0x039b => 0x03, # Λ
    0x039e => 0x04, # Ξ
    0x03a0 => 0x05, # Π
    0x03a3 => 0x06, # Σ
    0x03a5 => 0x07, # Υ
    0x03a6 => 0x08, # Φ
    0x03a8 => 0x09, # Ψ
    0x03a9 => 0x0a, # Ω
    0x2018 => 0x60, # ‘
    0x2019 => 0x27, # ’
    0x201d => 0x22, # ”
    0x2191 => 0x0b, # ↑
    0x2193 => 0x0c, # ↓
    0x2423 => 0x20, # ␣
  }

end

